> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Read access

> Read who can wake an agent on each channel.



## OpenAPI

````yaml /openapi.json get /agents/{id}/access
openapi: 3.1.0
info:
  title: Artil API
  description: Give AI agents their own email inbox, SMS number and secret storage.
  version: 1.0.0
servers:
  - url: https://app.artil.dev/api
security:
  - token: []
paths:
  /agents/{id}/access:
    get:
      tags:
        - Access
      summary: Read access
      description: Read who can wake an agent on each channel.
      operationId: readAccess
      parameters:
        - in: path
          name: id
          required: true
          description: The agent's id
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Each channel's access
          content:
            application/json:
              schema:
                type: object
                propertyNames:
                  type: string
                  enum:
                    - email
                    - sms
                additionalProperties:
                  $ref: '#/components/schemas/Access'
                required:
                  - email
                  - sms
        default:
          $ref: '#/components/responses/Failure'
components:
  schemas:
    Access:
      type: object
      properties:
        admit:
          type: string
          enum:
            - anyone
            - list
          description: Whether anyone or only the listed senders wake the agent
        senders:
          type: array
          items:
            type: string
      required:
        - admit
        - senders
  responses:
    Failure:
      description: The request failed; the error says why
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - invalid_input
                      - unauthorized
                      - forbidden
                      - plan_limit
                      - not_found
                      - conflict
                      - rate_limited
                      - internal
                      - unavailable
                  message:
                    type: string
                required:
                  - code
                  - message
            required:
              - error
  securitySchemes:
    token:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.